
# Graph algorithms

## Bipartite Graph

```@autodocs
Modules = [MolecularGraph]
Pages   = ["graph/bipartite.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Maximum clique

```@autodocs
Modules = [MolecularGraph]
Pages   = ["graph/clique.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Cycle basis

```@autodocs
Modules = [MolecularGraph]
Pages   = ["graph/cycle.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Maximum common subgraph (Clique detection based algorithm)

```@autodocs
Modules = [MolecularGraph]
Pages   = ["graph/isomorphism_clique.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Subgraph isomorphism match (VF2 algorithm)

```@autodocs
Modules = [MolecularGraph]
Pages   = ["graph/isomorphism_vf2.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Maximum cardinality matching

```@autodocs
Modules = [MolecularGraph]
Pages   = ["graph/matching.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Graph operations

```@autodocs
Modules = [MolecularGraph]
Pages   = ["graph/operators.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Planarity

```@autodocs
Modules = [MolecularGraph]
Pages   = ["graph/planarity.jl"]
Private = false
Order   = [:constant, :function, :type]
```

## Traversals

```@autodocs
Modules = [MolecularGraph]
Pages   = ["graph/traversals.jl"]
Private = false
Order   = [:constant, :function, :type]
```




